/**
 * Filters out commeted lines and converts every line to a
 * JS object key–value pair with multiple values made into an array.
 *
 * @param {[key: string]: string | string[]} data – the raw WHOIS response data
 */
export declare const parseWhois: (data: string) => {
    [key: string]: string | string[];
};
export interface WhoisResult {
    domain?: string | string[];
    expiration?: Date;
    created?: Date;
    updated?: Date;
    status?: string | string[];
    registrar?: string | string[];
    registrarIANAId?: string | string[];
    registrarAbuseContactEmail?: string | string[];
    registrarAbuseContactPhone?: string | string[];
    nameServer?: string | string[];
    DNSSEC?: string | string[];
    [unknownKey: string]: any;
    exists: boolean;
}
declare const _default: (data: string) => WhoisResult;
/**
 * Parses given raw WHOIS data to JS object form
 *
 * @param {string} data – raw WHOIS data to parse from
 */
export default _default;
