import { TCPHelper } from './TCPHelper';
import WhoisParser, { WhoisResult } from './WhoisParser';
export { TCPHelper, WhoisParser, WhoisResult };
/**
 * Gets the raw WHOIS response from the given domain.
 *
 * @param {string} domain – the given domain of which the WHOIS query will be done
 * @param {string} [server] – custom WHOIS server to retrieve information from; if no server given, will get server from whis-data
 */
declare const getRaw: (domain: string, server?: string | undefined) => Promise<string>;
/**
 * Gets parsed WHOIS data from the given domain.
 *
 * @param {string} domain – the given domain of which the WHOIS query will be done
 * @param {string} [server] – custom WHOIS server to retrieve information from; if no server given, will get server from whis-data
 */
declare const whis: (domain: string, server?: string | undefined) => Promise<WhoisResult>;
export default whis;
export { whis, getRaw };
